class Strongspace.Views.Sidebar extends Backbone.View

	events:
		"click li.new" : "newDrive"
		"click li.favorites" : "favorites"
		"click li.settings" : "settings"
		"click li.license" : "license"
		"click li.feedback" : "feedback"
		"click li.welcome" : "welcome"

	newDrive: (e) ->
		target = @getLi(e)

		if target.hasClass("active")
			return

		$("#sidebar li").removeClass("active")
		
		target.addClass("active")
		Strongspace.List.newSession()
		
	welcome: (e) ->
		@newDrive(e)

	getLi: (e) ->
		target = $(e.target).parents("li")
		if target.length == 0
			target = $(e.target)
		return target

	favorites: (e) ->
		if not expandrivelicense.activeLicense()
			return
		target = @getLi(e)

		if target.hasClass("active")
			return

		$("#sidebar li").removeClass("active")
		
		target.addClass("active")
		Strongspace.List.showFavorites()
		Strongspace.collapseListifNecessary()

	settings: (e) ->
		if not expandrivelicense.activeLicense()
			return
		target = @getLi(e)
		
		if target.hasClass("active")
			return

		$("#sidebar li").removeClass("active")

		target.addClass("active")
		Strongspace.List.showSettings()
		

	license: (e) ->
		settings.sendToStore()

	feedback: (e) ->
		settings.sendFeedback()

	afterRender: (view) ->

		if not expandrivelicense.activeLicense()
			$("li.new,li.favorites,li.settings").hide()
		else
			if not expandrivelicense.inTrial()
				$("li.license").hide()
				
			$("li.welcome").hide()



	
